// WARNING! All changes made in this file will be lost!
// Created from 'settings.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#pragma once

#include "ui/style/style_core.h"

namespace style {
namespace internal {

void init_style_settings(int scale);

} // namespace internal

struct SettingsButton;
struct SettingsSlider;
struct MediaSlider;
struct FlatLabel;
struct Checkbox;
struct LinkButton;
struct InputField;
struct UserpicButton;
struct InfoPeerBadge;
struct ScrollArea;
struct IconButton;
struct PeerListItem;
struct PeerList;
struct Box;
struct TextStyle;

} // namespace style

namespace st {
extern const style::SettingsButton &settingsButton;
extern const style::SettingsButton &settingsButtonNoIcon;
extern const style::SettingsButton &settingsButtonLight;
extern const style::SettingsButton &settingsButtonLightNoIcon;
extern const style::SettingsButton &settingsButtonNoIconLocked;
extern const style::SettingsButton &settingsButtonActive;
extern const style::SettingsButton &settingsAttentionButton;
extern const style::SettingsButton &settingsAttentionButtonWithIcon;
extern const style::SettingsButton &settingsOptionDisabled;
extern const int &settingsButtonRightSkip;
extern const style::margins &settingsScalePadding;
extern const style::margins &settingsBigScalePadding;
extern const style::SettingsSlider &settingsSlider;
extern const style::MediaSlider &settingsScale;
extern const style::FlatLabel &settingsScaleLabel;
extern const style::SettingsButton &settingsUpdateToggle;
extern const style::FlatLabel &settingsUpdateState;
extern const style::SettingsButton &settingsUpdate;
extern const style::point &settingsUpdateStatePosition;
extern const style::icon &settingsIconChat;
extern const style::icon &settingsIconInterfaceScale;
extern const style::icon &settingsIconStickers;
extern const style::icon &settingsIconEmoji;
extern const style::icon &settingsPremiumIconWallpapers;
extern const style::icon &settingsPremiumIconStories;
extern const style::icon &settingsPremiumIconChannelsOff;
extern const style::icon &settingsPremiumIconDouble;
extern const style::icon &settingsPremiumIconStatus;
extern const style::icon &settingsPremiumIconLike;
extern const style::icon &settingsPremiumIconPlay;
extern const style::icon &settingsPremiumIconSpeed;
extern const style::icon &settingsPremiumIconStar;
extern const style::icon &settingsPremiumIconVoice;
extern const style::icon &settingsPremiumIconFiles;
extern const style::icon &settingsPremiumIconTranslations;
extern const style::icon &settingsPremiumIconTags;
extern const style::icon &settingsPremiumIconLastSeen;
extern const style::icon &settingsPremiumIconPrivacy;
extern const style::icon &settingsPremiumIconBusiness;
extern const style::icon &settingsPremiumIconEffects;
extern const style::icon &settingsStoriesIconOrder;
extern const style::icon &settingsStoriesIconStealth;
extern const style::icon &settingsStoriesIconViews;
extern const style::icon &settingsStoriesIconExpiration;
extern const style::icon &settingsStoriesIconDownload;
extern const style::icon &settingsStoriesIconCaption;
extern const style::icon &settingsStoriesIconLinks;
extern const style::icon &settingsBusinessIconLocation;
extern const style::icon &settingsBusinessIconHours;
extern const style::icon &settingsBusinessIconReplies;
extern const style::icon &settingsBusinessIconGreeting;
extern const style::icon &settingsBusinessIconAway;
extern const style::icon &settingsBusinessIconChatbots;
extern const style::icon &settingsBusinessIconChatIntro;
extern const style::icon &settingsBusinessIconChatLinks;
extern const style::icon &settingsBusinessPromoLocation;
extern const style::icon &settingsBusinessPromoHours;
extern const style::icon &settingsBusinessPromoReplies;
extern const style::icon &settingsBusinessPromoGreeting;
extern const style::icon &settingsBusinessPromoAway;
extern const style::icon &settingsBusinessPromoChatbots;
extern const style::icon &settingsBusinessPromoChatIntro;
extern const style::icon &settingsBusinessPromoChatLinks;
extern const style::icon &settingsStarRefEarnStars;
extern const style::FlatLabel &settingsPremiumNewBadge;
extern const style::point &settingsPremiumNewBadgePosition;
extern const style::margins &settingsPremiumNewBadgePadding;
extern const style::icon &settingsTTLChatsOff;
extern const style::icon &settingsTTLChatsOn;
extern const style::icon &settingsIconAdd;
extern const style::icon &settingsIconRemove;
extern const style::icon &settingsFolderShareIcon;
extern const style::Checkbox &settingsCheckbox;
extern const style::margins &settingsCheckboxPadding;
extern const style::LinkButton &settingsLink;
extern const int &settingsCheckboxesSkip;
extern const style::Checkbox &settingsSendType;
extern const style::margins &settingsSendTypePadding;
extern const int &settingsSendTypeSkip;
extern const int &settingsBackgroundThumb;
extern const int &settingsThumbSkip;
extern const style::margins &settingsBackgroundPadding;
extern const int &settingsTileSkip;
extern const int &settingsFromGalleryTop;
extern const int &settingsFromFileTop;
extern const style::Checkbox &settingsPrivacyOption;
extern const int &settingsPrivacySecurityPadding;
extern const int &settingsPrivacySkip;
extern const int &settingsPrivacySkipTop;
extern const style::icon &settingsPrivacyPremium;
extern const style::FlatLabel &settingsPrivacyAddBirthday;
extern const int &settingsCloudPasswordIconSize;
extern const style::InputField &settingLocalPasscodeInputField;
extern const style::FlatLabel &settingLocalPasscodeDescription;
extern const int &settingLocalPasscodeDescriptionHeight;
extern const style::FlatLabel &settingLocalPasscodeError;
extern const int &settingLocalPasscodeDescriptionBottomSkip;
extern const style::margins &settingLocalPasscodeIconPadding;
extern const style::margins &settingLocalPasscodeButtonPadding;
extern const int &settingsInfoPhotoHeight;
extern const int &settingsInfoPhotoSize;
extern const style::UserpicButton &settingsInfoPhoto;
extern const int &settingsInfoPhotoTop;
extern const int &settingsInfoPhotoSkip;
extern const int &settingsInfoNameSkip;
extern const int &settingsInfoUploadLeft;
extern const style::InfoPeerBadge &settingsInfoPeerBadge;
extern const style::InputField &settingsBio;
extern const style::margins &settingsBioMargins;
extern const style::FlatLabel &settingsBioCountdown;
extern const style::FlatLabel &settingsCoverName;
extern const style::FlatLabel &settingsCoverStatus;
extern const int &settingsThemesTopSkip;
extern const int &settingsThemesBottomSkip;
extern const style::Checkbox &settingsTheme;
extern const style::size &settingsThemePreviewSize;
extern const style::size &settingsThemeBubbleSize;
extern const int &settingsThemeBubbleRadius;
extern const style::point &settingsThemeBubblePosition;
extern const int &settingsThemeBubbleSkip;
extern const int &settingsThemeRadioBottom;
extern const int &settingsThemeMinSkip;
extern const style::color &settingsThemeNotSupportedBg;
extern const style::icon &settingsThemeNotSupportedIcon;
extern const style::margins &chatThemeTitlePadding;
extern const style::size &chatThemePreviewSize;
extern const style::size &chatThemeBubbleSize;
extern const int &chatThemeBubbleRadius;
extern const style::point &chatThemeBubblePosition;
extern const int &chatThemeBubbleSkip;
extern const int &chatThemeEntrySkip;
extern const style::margins &chatThemeEntryMargin;
extern const int &chatThemeEmptyPreviewTop;
extern const int &chatThemeEmojiBottom;
extern const style::margins &chatThemeButtonMargin;
extern const style::SettingsButton &autoDownloadLimitButton;
extern const style::margins &settingsLevelMeterPadding;
extern const int &settingsForwardPrivacyPadding;
extern const int &settingsForwardPrivacyArrowSkip;
extern const int &settingsForwardPrivacyArrowSize;
extern const style::margins &settingsForwardPrivacyTooltipPadding;
extern const int &settingsAccentColorSize;
extern const int &settingsAccentColorSkip;
extern const int &settingsAccentColorLine;
extern const style::FlatLabel &settingsFilterDividerLabel;
extern const style::margins &settingsFilterDividerLabelPadding;
extern const int &settingsFilterIconSize;
extern const style::margins &settingsFilterIconPadding;
extern const style::InputField &settingsDeviceName;
extern const style::SettingsButton &dictionariesSectionButton;
extern const style::ScrollArea &sessionsScroll;
extern const int &sessionsHeight;
extern const int &sessionLocationTop;
extern const int &sessionCurrentSkip;
extern const int &sessionSubtitleSkip;
extern const style::color &sessionInfoFg;
extern const int &sessionTerminateTop;
extern const int &sessionTerminateSkip;
extern const style::IconButton &sessionTerminate;
extern const style::icon &sessionIconWindows;
extern const style::icon &sessionIconMac;
extern const style::icon &sessionIconUbuntu;
extern const style::icon &sessionIconLinux;
extern const style::icon &sessionIconiPhone;
extern const style::icon &sessionIconiPad;
extern const style::icon &sessionIconAndroid;
extern const style::icon &sessionIconWeb;
extern const style::icon &sessionIconChrome;
extern const style::icon &sessionIconEdge;
extern const style::icon &sessionIconFirefox;
extern const style::icon &sessionIconSafari;
extern const style::icon &sessionIconOther;
extern const int &sessionBigUserpicSize;
extern const int &sessionBigLottieSize;
extern const style::icon &sessionBigIconOther;
extern const style::icon &sessionBigIconWeb;
extern const style::margins &sessionBigCoverPadding;
extern const style::FlatLabel &sessionBigName;
extern const style::FlatLabel &sessionDateLabel;
extern const int &sessionDateSkip;
extern const style::margins &sessionValuePadding;
extern const style::FlatLabel &sessionValueLabel;
extern const int &sessionValueSkip;
extern const style::point &sessionValueIconPosition;
extern const style::PeerListItem &sessionListItem;
extern const style::PeerList &sessionList;
extern const style::PeerListItem &websiteListItem;
extern const style::PeerList &websiteList;
extern const int &websiteLocationTop;
extern const style::UserpicButton &websiteBigUserpic;
extern const int &settingsPhotoLeft;
extern const int &settingsPhotoTop;
extern const int &settingsPhotoBottom;
extern const int &settingsNameLeft;
extern const int &settingsNameTop;
extern const int &settingsPhoneLeft;
extern const int &settingsPhoneTop;
extern const int &settingsUsernameLeft;
extern const int &settingsUsernameTop;
extern const int &settingsPeerToPeerSkip;
extern const int &settingsIconRadius;
extern const int &settingsReactionSize;
extern const int &settingsReactionRightSkip;
extern const style::size &settingsReactionCornerSize;
extern const style::point &settingsReactionCornerSkip;
extern const int &settingsReactionMessageSize;
extern const int &settingsReactionRightIcon;
extern const style::margins &notifyPreviewMargins;
extern const int &notifyPreviewUserpicSize;
extern const style::point &notifyPreviewUserpicPosition;
extern const style::point &notifyPreviewTitlePosition;
extern const style::point &notifyPreviewTextPosition;
extern const int &notifyPreviewChecksSkip;
extern const int &notifyPreviewBottomSkip;
extern const style::margins &settingsPremiumButtonPadding;
extern const style::icon &settingsPremiumTopBarBackIcon;
extern const style::icon &settingsPremiumTopBarBackIconOver;
extern const style::IconButton &settingsPremiumTopBarBack;
extern const style::IconButton &settingsPremiumLayerTopBarBack;
extern const style::IconButton &settingsPremiumTopBarClose;
extern const style::IconButton &settingsPremiumMoveLeft;
extern const style::icon &settingsPremiumMoveRightIcon;
extern const style::icon &settingsPremiumMoveRightIconOver;
extern const style::IconButton &settingsPremiumMoveRight;
extern const style::margins &settingsPremiumRowTitlePadding;
extern const style::margins &settingsPremiumRowAboutPadding;
extern const style::margins &settingsPremiumPreviewTitlePadding;
extern const style::margins &settingsPremiumPreviewAboutPadding;
extern const style::margins &settingsPremiumPreviewLinePadding;
extern const style::margins &settingsPremiumPreviewIconTitlePadding;
extern const style::margins &settingsPremiumPreviewIconAboutPadding;
extern const style::point &settingsPremiumPreviewIconPosition;
extern const style::point &settingsPremiumArrowShift;
extern const style::icon &settingsPremiumArrow;
extern const style::icon &settingsPremiumArrowOver;
extern const style::margins &settingsPremiumOptionsPadding;
extern const int &settingsPremiumTopHeight;
extern const int &settingsPremiumUserHeight;
extern const style::margins &settingsPremiumUserTitlePadding;
extern const style::FlatLabel &settingsPremiumUserTitle;
extern const style::icon &settingsPremiumLock;
extern const int &settingsPremiumLockSkip;
extern const style::margins &settingsBlockedListSubtitleAddPadding;
extern const style::margins &settingsBlockedListIconPadding;
extern const style::PeerList &settingsBlockedList;
extern const int &settingsBlockedHeightMin;
extern const style::SettingsButton &settingsNotificationType;
extern const style::FlatLabel &settingsNotificationTypeDetails;
extern const style::SettingsButton &powerSavingButton;
extern const style::SettingsButton &powerSavingButtonNoIcon;
extern const style::margins &powerSavingSubtitlePadding;
extern const style::Box &filterInviteBox;
extern const style::TextStyle &filterInviteButtonStyle;
extern const style::TextStyle &filterInviteButtonBadgeStyle;
extern const style::margins &filterInviteButtonBadgePadding;
extern const int &filterInviteButtonBadgeSkip;
extern const style::margins &filterLinkDividerLabelPadding;
extern const style::margins &filterLinkTitlePadding;
extern const style::TextStyle &filterLinkAboutTextStyle;
extern const style::FlatLabel &filterLinkAbout;
extern const int &filterLinkAboutTop;
extern const int &filterLinkAboutBottom;
extern const int &filterLinkPreview;
extern const int &filterLinkPreviewRadius;
extern const int &filterLinkPreviewTop;
extern const int &filterLinkPreviewColumn;
extern const int &filterLinkPreviewAllBottom;
extern const int &filterLinkPreviewAllTop;
extern const int &filterLinkPreviewMyBottom;
extern const int &filterLinkPreviewMyTop;
extern const int &filterLinkPreviewChatSize;
extern const int &filterLinkPreviewChatSkip;
extern const int &filterLinkPreviewBadgeLeft;
extern const int &filterLinkPreviewBadgeTop;
extern const style::margins &filterLinkSubsectionTitlePadding;
extern const style::PeerList &filterLinkChatsList;
extern const int &settingsColorSampleSize;
extern const int &settingsColorSampleCenter;
extern const int &settingsColorSampleCenterRadius;
extern const style::margins &settingsColorSamplePadding;
extern const int &settingsColorSampleSkip;
extern const style::SettingsButton &settingsColorButton;
extern const int &settingsColorRadioMargin;
extern const int &settingsColorRadioSkip;
extern const int &settingsColorRadioStroke;
extern const style::icon &settingsLevelBadgeLock;
extern const int &settingsLevelBadgeLockSkip;
extern const int &messagePrivacyTopSkip;
extern const int &messagePrivacyRadioSkip;
extern const int &messagePrivacyBottomSkip;
extern const style::Checkbox &messagePrivacyCheck;
extern const style::SettingsButton &messagePrivacySubscribe;
extern const style::icon &messagePrivacyLock;
extern const style::SettingsButton &peerAppearanceButton;
extern const style::margins &peerAppearanceCoverLabelMargin;
extern const style::margins &peerAppearanceIconPadding;
extern const style::margins &peerAppearanceDividerTextMargin;
extern const style::InputField &settingsChatbotsUsername;
extern const style::Checkbox &settingsChatbotsAccess;
extern const style::InputField &settingsLocationAddress;
extern const style::margins &settingsChatbotsUsernameMargins;
extern const style::margins &settingsChatbotsAccessMargins;
extern const int &settingsChatbotsAccessSkip;
extern const style::margins &settingsChatbotsBottomTextMargin;
extern const style::SettingsButton &settingsChatbotsAdd;
extern const style::SettingsButton &settingsWorkingHoursWeek;
extern const style::FlatLabel &settingsWorkingHoursDetails;
extern const int &settingsWorkingHoursPicker;
extern const int &settingsWorkingHoursPickerItemHeight;
extern const style::margins &settingsAwaySchedulePadding;
extern const style::FlatLabel &settingsAddReplyLabel;
extern const style::InputField &settingsAddReplyField;
extern const style::FlatLabel &settingsChatbotsNotFound;
extern const style::icon &settingsChatbotsDeleteIcon;
extern const style::icon &settingsChatbotsDeleteIconOver;
extern const style::InputField &settingsChatIntroField;
extern const style::margins &settingsChatIntroFieldMargins;
extern const int &settingsChatLinkEmojiTop;
extern const style::InputField &settingsChatLinkField;
} // namespace st
